<?php
// on modifie les paramètres de connexion à la base de données dans db/idl_connect_data.php
$fichier="idl_connect_data.php";

//ouverture en lecture et modification SERVER
$text=fopen($fichier,'r') or die(ERROR_FILE);
$contenu=file_get_contents($fichier);
$modifServer=str_replace('$server = "127.0.0.1";', '$server = "'.$server.'";', $contenu);
fclose($text);

//ouverture en écriture SERVER
$text2=fopen($fichier,'w+') or die(ERROR_FILE);
fwrite($text2,$modifServer);
fclose($text2);

//ouverture en lecture et modification USER
$text=fopen($fichier,'r') or die(ERROR_FILE);
$contenu=file_get_contents($fichier);
$modifUser=str_replace('$user = "root";', '$user = "'.$user.'";', $contenu);
fclose($text);

//ouverture en écriture USER
$text2=fopen($fichier,'w+') or die(ERROR_FILE);
fwrite($text2,$modifUser);
fclose($text2);

//ouverture en lecture et modification PWD
$text=fopen($fichier,'r') or die(ERROR_FILE);
$contenu=file_get_contents($fichier);
$modifPwd=str_replace('$pwd = "";', '$pwd = "'.$pwd.'";', $contenu);
fclose($text);

//ouverture en écriture PWD
$text2=fopen($fichier,'w+') or die(ERROR_FILE);
fwrite($text2,$modifPwd);
fclose($text2);

//ouverture en lecture et modification BASE
$text=fopen($fichier,'r') or die(ERROR_FILE);
$contenu=file_get_contents($fichier);
$modifServer=str_replace('$base = "preidlog";', '$base = "'.$base.'";', $contenu);
fclose($text);

//ouverture en écriture BASE
$text2=fopen($fichier,'w+') or die(ERROR_FILE);
fwrite($text2,$modifServer);
fclose($text2);

//ouverture en lecture et modification PREFIX
$text=fopen($fichier,'r') or die(ERROR_FILE);
$contenu=file_get_contents($fichier);
$modifServer=str_replace('$prefix = "preidlog";', '$prefix = "'.$prefix.'";', $contenu);
fclose($text);

//ouverture en écriture PREFIX
$text2=fopen($fichier,'w+') or die(ERROR_FILE);
fwrite($text2,$modifServer);
fclose($text2);
?>
